//////////////////////
//Mapa open street map
//////////////////////
//variable global del mapa
var id;
var map;
var marcador = '';
var urlRecomendar;
var posicionActual;

//url de los mapas
var mapaUrl1 = 'http://openmapsurfer.uni-hd.de/tiles/roads/x={x}&y={y}&z={z}'; //default
var mapaUrl2 = 'https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png'; //default openstreetmap
var mapaUrl3 = 'http://{s}.tiles.mapbox.com/v3/rodrigobertin.j67pjelb/{z}/{x}/{y}.png'; //mapbox
var mapaUrl4 = 'http://{s}.www.toolserver.org/tiles/bw-mapnik/{z}/{x}/{y}.png'; //blanco y negro
var mapaUrl5 = 'http://{s}.tile.openstreetmap.de/tiles/osmde/{z}/{x}/{y}.png'; //ideal
var mapaUrlTransporte = 'http://{s}.tile.thunderforest.com/transport/{z}/{x}/{y}.png'; //transporte
var mapaUrlOscuro = 'http://{s}.tile.stamen.com/toner-lite/{z}/{x}/{y}.png'; //mapa blanco y negro
var mapaCiclista = 'http://{s}.tile.thunderforest.com/cycle/{z}/{x}/{y}.png'; //mapa ciclista

//iniciar el mapa
initmap(mapaUrl5);

//agregar el device ready
document.addEventListener("deviceready", onDeviceReady, true);

//var wrapper = document.getElementById('wrapper');
//wrapper.addEventListener('touchmove', function(e) { e.preventDefault(); }, false);

//mover el container
//var container = document.getElementById('menu-container');
//container.addEventListener('touchmove', function(){}, true);


//fast click
if ('addEventListener' in document) {
    document.addEventListener('DOMContentLoaded', function () {
        FastClick.attach(document.body);
    }, false);
}

document.addEventListener("backbutton", salirApp, false);
document.addEventListener("menubutton", menu, false);
document.addEventListener("menusearch", menu, false);
//document.addEventListener("volumeupbutton", acercarMapa, false);
//document.addEventListener("volumedownbutton", alejarMapa, false);

function onDeviceReady() {
    //avisar de la nueva funcion
    if (!window.localStorage.getItem('avisar')) {
        alerta('Ahora puede enviar reclamos sobre el servicio a traves del boton Sugerencias y Reclamos', 'Aviso', 'Aceptar');
        window.localStorage.setItem('avisar', 'si');
    }

    //si es la primera ves que abre la app
    if (window.localStorage.getItem('muestra') == 1) {

    } else {
        menu();
        window.localStorage.setItem('muestra', 1);

        setTimeout(function () {
            menu();
        }, 1500)
    }

    StatusBar.overlaysWebView(false);
    //chequear la conexion
    //checkConnection2();

    //efecto de boton
    //$('button, .button, #menu-boton').on('touchstart', function (e) {
    //    $(e.currentTarget).addClass('button-active');
    //});
    //
    //$('button, .button, #menu-boton').on('touchend', function (e) {
    //    $(e.currentTarget).removeClass('button-active');
    //});


    /////////////////////////////////////////
    ///detectar la plataforma y poner la url
    /////////////////////////////////////////
    //var plataforma = device.platform;
    //
    ////solo windows
    //if (plataforma != 'iOS' || plataforma != 'Android') {
    //    urlRecomendar = 'http://www.windowsphone.com/es-ar/store/app/bah%C3%ADa-transporte/d36ea9fe-2257-4196-88c9-72e5cb6303db';
    //}
    //
    ////solo ios
    //if (plataforma === 'iOS') {
    //    urlRecomendar = 'https://itunes.apple.com/us/app/sumo-tandil/id965307824?l=es&ls=1&mt=8';
    //    //barra ios arreglos
    //    //StatusBar.overlaysWebView(false);
    //}
    //
    ////solo android
    //if (plataforma == 'Android' || plataforma == 'android') {
    //    urlRecomendar = 'https://play.google.com/store/apps/details?id=com.sumotandil.app';
    //}


    //activa el gps despues de 6 segundos
    setTimeout(function () {
        //localizo
        localizar();
    }, 6000);
}
var opciones = {};

//sacar el menu
var menuP = document.getElementById('menu-principal');
var hammertime = new Hammer(menuP, opciones);
hammertime.on('swiperight', function (ev) {
    menu();
});

//mostrar el menu
var opciones2 = {};
var menuInv = document.getElementById('menu-inv');
var hammertime2 = new Hammer(menuInv, opciones2);
hammertime2.on('swipeleft', function (ev) {
    menu();
});

//mostrar el menu
var opciones3 = {};
var menuInv2 = document.getElementById('menu-inv-2');
var hammertime3 = new Hammer(menuInv2, opciones3);
hammertime3.on('swiperight', function (ev) {
    menu();
});


